--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: access_list; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE access_list (
    id integer NOT NULL,
    ip inet NOT NULL,
    description character varying NOT NULL,
    active boolean DEFAULT true NOT NULL
);


ALTER TABLE public.access_list OWNER TO postgres;

--
-- Name: access_list_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE access_list_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.access_list_id_seq OWNER TO postgres;

--
-- Name: access_list_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE access_list_id_seq OWNED BY access_list.id;


--
-- Name: changelog; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE changelog (
    id integer NOT NULL,
    version character varying NOT NULL,
    message character varying NOT NULL
);


ALTER TABLE public.changelog OWNER TO postgres;

--
-- Name: changelog_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE changelog_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.changelog_id_seq OWNER TO postgres;

--
-- Name: changelog_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE changelog_id_seq OWNED BY changelog.id;


--
-- Name: channel_types; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE channel_types (
    id integer NOT NULL,
    channel_type character varying(255) NOT NULL,
    serial integer DEFAULT 1 NOT NULL,
    logo_link character varying(255) DEFAULT NULL::character varying
);


ALTER TABLE public.channel_types OWNER TO postgres;

--
-- Name: channel_types_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE channel_types_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.channel_types_id_seq OWNER TO postgres;

--
-- Name: channel_types_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE channel_types_id_seq OWNED BY channel_types.id;


--
-- Name: channels; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE channels (
    id integer NOT NULL,
    channel_name character varying(255) NOT NULL,
    channel_logo_file character varying(255) DEFAULT NULL::character varying,
    channel_description character varying,
    channel_type_id integer NOT NULL,
    source_stream character varying(255) NOT NULL,
    server_id integer,
    output_server_id integer,
    transcode boolean DEFAULT false NOT NULL,
    transcode_bitrate character varying,
    transcode_profile character varying,
    program integer,
    tsublang character varying(255) DEFAULT NULL::character varying,
    taudiolang character varying(255) DEFAULT NULL::character varying,
    hls_output boolean DEFAULT false NOT NULL,
    flv_output boolean DEFAULT false NOT NULL,
    cts_suspend_after integer DEFAULT 604800 NOT NULL,
    cts_suspend_for integer DEFAULT 3600 NOT NULL,
    cts_restart_after integer DEFAULT 30 NOT NULL,
    cts_min_bandwidth integer DEFAULT 32 NOT NULL,
    xmltv_id character varying,
    xmltv_url character varying,
    user_agent character varying DEFAULT 'FullIPTV Smart Solution v0.1.0'::character varying,
    chann_number integer DEFAULT 1,
    active boolean DEFAULT true NOT NULL,
    status boolean DEFAULT true NOT NULL,
    sort_order integer DEFAULT 0 NOT NULL,
    serial integer DEFAULT 1 NOT NULL,
    multicast_output boolean DEFAULT false NOT NULL,
    source_mode character varying DEFAULT 'local_pipe'::character varying NOT NULL,
    source_gathering character varying DEFAULT 'vlc'::character varying NOT NULL,
    a_r boolean DEFAULT false NOT NULL
);


ALTER TABLE public.channels OWNER TO postgres;

--
-- Name: channels_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE channels_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.channels_id_seq OWNER TO postgres;

--
-- Name: channels_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE channels_id_seq OWNED BY channels.id;


--
-- Name: device_types; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE device_types (
    id integer NOT NULL,
    device_type character varying(255) NOT NULL,
    device_mac_auth boolean DEFAULT true NOT NULL,
    device_sn_auth boolean DEFAULT true NOT NULL,
    device_up_auth boolean DEFAULT true NOT NULL,
    device_ip_auth boolean DEFAULT true NOT NULL,
    device_key_auth boolean DEFAULT true NOT NULL,
    device_identification character varying(255) DEFAULT NULL::character varying
);


ALTER TABLE public.device_types OWNER TO postgres;

--
-- Name: device_types_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE device_types_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.device_types_id_seq OWNER TO postgres;

--
-- Name: device_types_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE device_types_id_seq OWNED BY device_types.id;


--
-- Name: devices; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE devices (
    id integer NOT NULL,
    username character varying(255) DEFAULT NULL::character varying,
    password character varying(255) DEFAULT NULL::character varying,
    bkp_password character varying(255) DEFAULT '0b9007f9ddef385ac1d7fe8625201dd7'::character varying NOT NULL,
    device_sn character varying(255) DEFAULT NULL::character varying,
    device_mac character varying(255) DEFAULT NULL::character varying,
    device_ip character varying(255) DEFAULT NULL::character varying,
    device_max_channs character varying(255) DEFAULT '1'::character varying,
    device_type_id integer NOT NULL,
    subscription_id integer NOT NULL,
    user_id integer,
    is_vip boolean DEFAULT false NOT NULL,
    comment character varying(255) DEFAULT NULL::character varying,
    serial integer DEFAULT 1 NOT NULL,
    use_source_stream boolean DEFAULT false NOT NULL,
    mag_player character varying,
    active boolean DEFAULT true NOT NULL,
    status boolean DEFAULT true NOT NULL,
    multicast_output boolean DEFAULT false NOT NULL,
    stream_out character varying DEFAULT 'streamer'::character varying,
    pin integer DEFAULT 1234 NOT NULL
);


ALTER TABLE public.devices OWNER TO postgres;

--
-- Name: devices_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE devices_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.devices_id_seq OWNER TO postgres;

--
-- Name: devices_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE devices_id_seq OWNED BY devices.id;


--
-- Name: epgs; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE epgs (
    id integer NOT NULL,
    channel_id integer NOT NULL,
    start character varying NOT NULL,
    stop character varying NOT NULL,
    duration integer,
    name character varying,
    descr character varying,
    category character varying
);


ALTER TABLE public.epgs OWNER TO postgres;

--
-- Name: epgs_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE epgs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.epgs_id_seq OWNER TO postgres;

--
-- Name: epgs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE epgs_id_seq OWNED BY epgs.id;


--
-- Name: groups; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE groups (
    id integer NOT NULL,
    group_name character varying(255),
    active boolean DEFAULT true NOT NULL
);


ALTER TABLE public.groups OWNER TO postgres;

--
-- Name: groups_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.groups_id_seq OWNER TO postgres;

--
-- Name: groups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE groups_id_seq OWNED BY groups.id;


--
-- Name: invoices; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE invoices (
    id integer NOT NULL,
    transaction_id character varying,
    user_id integer NOT NULL,
    issue_date timestamp without time zone DEFAULT now() NOT NULL,
    start_date timestamp without time zone DEFAULT now() NOT NULL,
    end_date timestamp without time zone,
    ammount numeric DEFAULT (0)::numeric NOT NULL,
    description character varying NOT NULL,
    is_paid boolean DEFAULT false NOT NULL,
    deleted boolean DEFAULT false NOT NULL,
    owner integer DEFAULT 0 NOT NULL
);


ALTER TABLE public.invoices OWNER TO postgres;

--
-- Name: invoices_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE invoices_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.invoices_id_seq OWNER TO postgres;

--
-- Name: invoices_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE invoices_id_seq OWNED BY invoices.id;


--
-- Name: logs; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE logs (
    id integer NOT NULL,
    logtype character varying(255) DEFAULT 'INFO'::character varying NOT NULL,
    module character varying(255) DEFAULT 'SYSTEM'::character varying NOT NULL,
    user_id integer,
    message character varying NOT NULL,
    datetime timestamp without time zone DEFAULT now() NOT NULL
);


ALTER TABLE public.logs OWNER TO postgres;

--
-- Name: logs_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE logs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.logs_id_seq OWNER TO postgres;

--
-- Name: logs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE logs_id_seq OWNED BY logs.id;


--
-- Name: movie_types; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE movie_types (
    id integer NOT NULL,
    movie_type character varying(255) NOT NULL,
    serial integer DEFAULT 1 NOT NULL,
    logo_link character varying(255) DEFAULT NULL::character varying
);


ALTER TABLE public.movie_types OWNER TO postgres;

--
-- Name: movie_types_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE movie_types_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.movie_types_id_seq OWNER TO postgres;

--
-- Name: movie_types_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE movie_types_id_seq OWNED BY movie_types.id;


--
-- Name: movies; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE movies (
    id integer NOT NULL,
    movie_name character varying(255) NOT NULL,
    movie_logo_file character varying(255) DEFAULT NULL::character varying,
    movie_description character varying,
    movie_type_id integer NOT NULL,
    movie_file character varying(255) NOT NULL,
    server_id integer,
    sublang character varying(255) DEFAULT NULL::character varying,
    active boolean DEFAULT true NOT NULL,
    serial integer DEFAULT 1 NOT NULL,
    status boolean DEFAULT true NOT NULL
);


ALTER TABLE public.movies OWNER TO postgres;

--
-- Name: movies_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE movies_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.movies_id_seq OWNER TO postgres;

--
-- Name: movies_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE movies_id_seq OWNED BY movies.id;


--
-- Name: servers; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE servers (
    id integer NOT NULL,
    server_name character varying(255) NOT NULL,
    server_host character varying(255) NOT NULL,
    server_ip inet NOT NULL,
    server_private_ip inet DEFAULT '192.168.0.1'::inet NOT NULL,
    server_port integer NOT NULL,
    server_auth character varying NOT NULL,
    server_type character varying(255) DEFAULT 'STREAMER'::character varying NOT NULL,
    server_upload integer DEFAULT 0 NOT NULL,
    server_download integer DEFAULT 0 NOT NULL,
    server_max_clients integer DEFAULT 0 NOT NULL,
    server_max_channels integer DEFAULT 0 NOT NULL,
    server_hitrow_port integer DEFAULT 80 NOT NULL,
    vod_path character varying DEFAULT '/opt/fulliptv/vod/'::character varying NOT NULL,
    active boolean DEFAULT true NOT NULL,
    status boolean DEFAULT true NOT NULL,
    serial integer DEFAULT 1 NOT NULL
);


ALTER TABLE public.servers OWNER TO postgres;

--
-- Name: servers_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE servers_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.servers_id_seq OWNER TO postgres;

--
-- Name: servers_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE servers_id_seq OWNED BY servers.id;


--
-- Name: settings; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE settings (
    id integer NOT NULL,
    config_name character varying(255) NOT NULL,
    config_value character varying(9995) DEFAULT NULL::character varying
);


ALTER TABLE public.settings OWNER TO postgres;

--
-- Name: settings_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE settings_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.settings_id_seq OWNER TO postgres;

--
-- Name: settings_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE settings_id_seq OWNED BY settings.id;


--
-- Name: subscription_channels; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE subscription_channels (
    id integer NOT NULL,
    subscription_id integer NOT NULL,
    channel_id integer NOT NULL
);


ALTER TABLE public.subscription_channels OWNER TO postgres;

--
-- Name: subscription_channels_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE subscription_channels_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.subscription_channels_id_seq OWNER TO postgres;

--
-- Name: subscription_channels_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE subscription_channels_id_seq OWNED BY subscription_channels.id;


--
-- Name: subscription_movies; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE subscription_movies (
    id integer NOT NULL,
    subscription_id integer NOT NULL,
    movie_id integer NOT NULL
);


ALTER TABLE public.subscription_movies OWNER TO postgres;

--
-- Name: subscription_movies_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE subscription_movies_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.subscription_movies_id_seq OWNER TO postgres;

--
-- Name: subscription_movies_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE subscription_movies_id_seq OWNED BY subscription_movies.id;


--
-- Name: subscription_resellers; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE subscription_resellers (
    id integer NOT NULL,
    subscription_id integer NOT NULL,
    reseller_id integer NOT NULL
);


ALTER TABLE public.subscription_resellers OWNER TO postgres;

--
-- Name: subscription_resellers_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE subscription_resellers_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.subscription_resellers_id_seq OWNER TO postgres;

--
-- Name: subscription_resellers_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE subscription_resellers_id_seq OWNED BY subscription_resellers.id;


--
-- Name: subscriptions; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE subscriptions (
    id integer NOT NULL,
    subscription_name character varying(255) NOT NULL,
    price numeric NOT NULL,
    "interval" integer DEFAULT 30 NOT NULL,
    prepaid boolean DEFAULT false NOT NULL,
    serial integer DEFAULT 1 NOT NULL,
    active boolean DEFAULT true NOT NULL
);


ALTER TABLE public.subscriptions OWNER TO postgres;

--
-- Name: subscriptions_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE subscriptions_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.subscriptions_id_seq OWNER TO postgres;

--
-- Name: subscriptions_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE subscriptions_id_seq OWNED BY subscriptions.id;


--
-- Name: ticket_comments; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ticket_comments (
    id integer NOT NULL,
    user_id integer NOT NULL,
    ticket_id integer NOT NULL,
    comments character varying NOT NULL,
    datetime timestamp without time zone DEFAULT now() NOT NULL
);


ALTER TABLE public.ticket_comments OWNER TO postgres;

--
-- Name: ticket_comments_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ticket_comments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ticket_comments_id_seq OWNER TO postgres;

--
-- Name: ticket_comments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ticket_comments_id_seq OWNED BY ticket_comments.id;


--
-- Name: tickets; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE tickets (
    id integer NOT NULL,
    user_id integer NOT NULL,
    subject character varying(255) NOT NULL,
    description character varying NOT NULL,
    priority character varying(255) DEFAULT 'MEDIUM'::character varying NOT NULL,
    status character varying(255) DEFAULT 'NEW'::character varying NOT NULL,
    datetime timestamp without time zone DEFAULT now() NOT NULL
);


ALTER TABLE public.tickets OWNER TO postgres;

--
-- Name: tickets_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE tickets_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.tickets_id_seq OWNER TO postgres;

--
-- Name: tickets_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE tickets_id_seq OWNED BY tickets.id;


--
-- Name: users; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE users (
    id integer NOT NULL,
    name character varying(255) NOT NULL,
    company character varying(255) DEFAULT NULL::character varying,
    company_reg_num character varying(255) DEFAULT NULL::character varying,
    company_vat_num character varying(255) DEFAULT NULL::character varying,
    email character varying(255) DEFAULT NULL::character varying,
    phone character varying(255) DEFAULT NULL::character varying,
    country character varying(255) DEFAULT NULL::character varying,
    city character varying(255) DEFAULT NULL::character varying,
    address character varying,
    username character varying(255) NOT NULL,
    password character varying(255) NOT NULL,
    bkp_password character varying(255) DEFAULT '0b9007f9ddef385ac1d7fe8625201dd7'::character varying NOT NULL,
    group_id integer NOT NULL,
    reseller_id integer,
    serial integer DEFAULT 1 NOT NULL,
    active boolean DEFAULT true NOT NULL
);


ALTER TABLE public.users OWNER TO postgres;

--
-- Name: users_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE users_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.users_id_seq OWNER TO postgres;

--
-- Name: users_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE users_id_seq OWNED BY users.id;


--
-- Name: users_log; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE users_log (
    id integer NOT NULL,
    device_id integer NOT NULL,
    channel_id integer NOT NULL,
    conntype character varying,
    user_ip character varying NOT NULL,
    start_time timestamp without time zone DEFAULT now() NOT NULL,
    end_time timestamp without time zone,
    last_updated timestamp without time zone DEFAULT now() NOT NULL
);


ALTER TABLE public.users_log OWNER TO postgres;

--
-- Name: users_log_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE users_log_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.users_log_id_seq OWNER TO postgres;

--
-- Name: users_log_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE users_log_id_seq OWNED BY users_log.id;


--
-- Name: vlc_profiles; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE vlc_profiles (
    id integer NOT NULL,
    name character varying(255) NOT NULL,
    sout_all boolean DEFAULT true NOT NULL,
    deinterlace character varying(255) DEFAULT 'blend'::character varying NOT NULL,
    http_user_agent character varying(255) DEFAULT 'FullIPTV Smart Solution'::character varying NOT NULL,
    transcode boolean DEFAULT false NOT NULL,
    video_encoder character varying(255) DEFAULT 'x264{subme=3,ref=3,bframes=8,me=hex,b-adapt=1,bpyramid=none,weightp=0,level=41,keyint=50}'::character varying NOT NULL,
    video_codec character varying(255) DEFAULT 'h264'::character varying NOT NULL,
    audio_codec character varying(255) DEFAULT 'aac'::character varying NOT NULL,
    audio_bitrate character varying(255) DEFAULT '128'::character varying NOT NULL,
    threads character varying(255) DEFAULT '8'::character varying NOT NULL
);


ALTER TABLE public.vlc_profiles OWNER TO postgres;

--
-- Name: vlc_profiles_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE vlc_profiles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.vlc_profiles_id_seq OWNER TO postgres;

--
-- Name: vlc_profiles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE vlc_profiles_id_seq OWNED BY vlc_profiles.id;


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY access_list ALTER COLUMN id SET DEFAULT nextval('access_list_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY changelog ALTER COLUMN id SET DEFAULT nextval('changelog_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY channel_types ALTER COLUMN id SET DEFAULT nextval('channel_types_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY channels ALTER COLUMN id SET DEFAULT nextval('channels_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY device_types ALTER COLUMN id SET DEFAULT nextval('device_types_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY devices ALTER COLUMN id SET DEFAULT nextval('devices_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY epgs ALTER COLUMN id SET DEFAULT nextval('epgs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY groups ALTER COLUMN id SET DEFAULT nextval('groups_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY invoices ALTER COLUMN id SET DEFAULT nextval('invoices_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY logs ALTER COLUMN id SET DEFAULT nextval('logs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY movie_types ALTER COLUMN id SET DEFAULT nextval('movie_types_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY movies ALTER COLUMN id SET DEFAULT nextval('movies_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY servers ALTER COLUMN id SET DEFAULT nextval('servers_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY settings ALTER COLUMN id SET DEFAULT nextval('settings_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY subscription_channels ALTER COLUMN id SET DEFAULT nextval('subscription_channels_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY subscription_movies ALTER COLUMN id SET DEFAULT nextval('subscription_movies_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY subscription_resellers ALTER COLUMN id SET DEFAULT nextval('subscription_resellers_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY subscriptions ALTER COLUMN id SET DEFAULT nextval('subscriptions_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ticket_comments ALTER COLUMN id SET DEFAULT nextval('ticket_comments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY tickets ALTER COLUMN id SET DEFAULT nextval('tickets_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY users ALTER COLUMN id SET DEFAULT nextval('users_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY users_log ALTER COLUMN id SET DEFAULT nextval('users_log_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY vlc_profiles ALTER COLUMN id SET DEFAULT nextval('vlc_profiles_id_seq'::regclass);


--
-- Data for Name: access_list; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY access_list (id, ip, description, active) FROM stdin;
1	0.0.0.0/0	Test Subnet	t
\.


--
-- Name: access_list_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('access_list_id_seq', 1, true);


--
-- Data for Name: changelog; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY changelog (id, version, message) FROM stdin;
\.


--
-- Name: changelog_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('changelog_id_seq', 1, false);


--
-- Data for Name: channel_types; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY channel_types (id, channel_type, serial, logo_link) FROM stdin;
1	Domaci	1	\N
\.


--
-- Name: channel_types_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('channel_types_id_seq', 2, true);


--
-- Data for Name: channels; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY channels (id, channel_name, channel_logo_file, channel_description, channel_type_id, source_stream, server_id, output_server_id, transcode, transcode_bitrate, transcode_profile, program, tsublang, taudiolang, hls_output, flv_output, cts_suspend_after, cts_suspend_for, cts_restart_after, cts_min_bandwidth, xmltv_id, xmltv_url, user_agent, chann_number, active, status, sort_order, serial, multicast_output, source_mode, source_gathering, a_r) FROM stdin;
1	AXN	\N	AXN	1	http://storm.iptvsolution.net:80/live?channelId=8&uid=3136&deviceUser=backup&devicePass=backup%7777777777777777777777777777777777777777777777777%http://iptv.radiokafic.com:80/live?channelId=7&uid=11649&deviceUser=backupkanala1234&devicePass=backup4321	18	18	f	\N	NoTranscoding	\N	\N	\N	f	f	604800	3600	15	16	\N	\N	\N	1	t	t	1	74	f	local_pipe	vlc	f
3	HRT 1	\N	HRT 1	1	udp://@:10000%http://iptv.radiokafic.com:80/live?channelId=47&uid=11649&deviceUser=backupkanala1234&devicePass=backup4321	18	18	f	\N	NoTranscoding	\N	\N	\N	f	f	604800	3600	15	16	\N	\N	\N	1	t	t	0	12	f	local_pipe	vlc	f
2	SOS	\N	SOS	1	http://proxiiptv.dyndns.tv:8000/live/Esad.Hasanovic10.skype/Skype.56ff8o94ks5/312.ts	18	18	f	\N	NoTranscoding	\N	\N	\N	f	f	604800	3600	15	16	\N	\N	\N	1	t	t	2	45	f	local_pipe	vlc	f
\.


--
-- Name: channels_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('channels_id_seq', 4, true);


--
-- Data for Name: device_types; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY device_types (id, device_type, device_mac_auth, device_sn_auth, device_up_auth, device_ip_auth, device_key_auth, device_identification) FROM stdin;
4	IPMACRO	f	t	f	f	t	
6	SERVER	f	f	f	t	t	
7	SERIAL - NOTSECURE	f	t	f	f	f	
1	WINDOWS	f	f	t	f	f	
3	MAG250	t	f	f	f	f	
5	ENIGMA	f	f	t	f	f	
2	ANDROID	f	f	t	f	t	
\.


--
-- Name: device_types_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('device_types_id_seq', 8, true);


--
-- Data for Name: devices; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY devices (id, username, password, bkp_password, device_sn, device_mac, device_ip, device_max_channs, device_type_id, subscription_id, user_id, is_vip, comment, serial, use_source_stream, mag_player, active, status, multicast_output, stream_out, pin) FROM stdin;
1	testttt	testttt	0b9007f9ddef385ac1d7fe8625201dd7	\N	\N	\N	1	1	1	1	t	test	2	f	auto	t	t	f	streamer	1234
2	alen	alen	0b9007f9ddef385ac1d7fe8625201dd7	\N	\N	\N	1	1	1	1	t	\N	2	f	auto	t	t	f	streamer	1234
\.


--
-- Name: devices_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('devices_id_seq', 3, true);


--
-- Data for Name: epgs; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY epgs (id, channel_id, start, stop, duration, name, descr, category) FROM stdin;
\.


--
-- Name: epgs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('epgs_id_seq', 142, true);


--
-- Data for Name: groups; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY groups (id, group_name, active) FROM stdin;
1	ADMIN	t
2	RESELLER	t
3	CUSTOMER	t
\.


--
-- Name: groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('groups_id_seq', 4, true);


--
-- Data for Name: invoices; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY invoices (id, transaction_id, user_id, issue_date, start_date, end_date, ammount, description, is_paid, deleted, owner) FROM stdin;
1	\N	1	2016-01-11 19:55:37.40299	2016-01-11 00:00:00	2016-01-14 00:00:00	2	ID #8MT22188JV5354434)	t	f	1
2	\N	1	2016-02-14 11:22:08.387733	2016-02-14 00:00:00	2017-02-13 00:00:00	70	uplaceno	t	f	1
\.


--
-- Name: invoices_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('invoices_id_seq', 1, false);


--
-- Data for Name: logs; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY logs (id, logtype, module, user_id, message, datetime) FROM stdin;
8855	INFO	LOGS	1	All logs deleted!	2016-02-14 17:30:54.379275
\.


--
-- Name: logs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('logs_id_seq', 8856, true);


--
-- Data for Name: movie_types; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY movie_types (id, movie_type, serial, logo_link) FROM stdin;
1	test movies	1	\N
\.


--
-- Name: movie_types_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('movie_types_id_seq', 1, false);


--
-- Data for Name: movies; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY movies (id, movie_name, movie_logo_file, movie_description, movie_type_id, movie_file, server_id, sublang, active, serial, status) FROM stdin;
1	test movie	\N	test moviee	1	http://dl5.nightsdl.com/admin/Film/2015/Jurassic.World.2015.BluRay.1080p.6CH.%5BNightsdl.Com%5D.mkv	18	\N	t	1	t
\.


--
-- Name: movies_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('movies_id_seq', 1, false);


--
-- Data for Name: servers; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY servers (id, server_name, server_host, server_ip, server_private_ip, server_port, server_auth, server_type, server_upload, server_download, server_max_clients, server_max_channels, server_hitrow_port, vod_path, active, status, serial) FROM stdin;
18	lupo.bossna-caffe.com	lupo.bossna-caffe.com	163.172.10.86	163.172.10.86	22	hGNMGOdpfPlp+osOeBfsoYCd+lNx+K3n6BpKAh/vYN8=	STREAMER	1000	1000	1000	1000	80	/opt/fulliptv/vod	t	t	1
\.


--
-- Name: servers_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('servers_id_seq', 19, true);


--
-- Data for Name: settings; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY settings (id, config_name, config_value) FROM stdin;
3	company_reg_number	J20/1000/2014
7	support_email	info@fulliptv.com
9	support_phone	+40784706051
10	invoice_prefix	WB
13	invoice_code_length	8
14	first_reminder	5
15	second_reminder	3
16	third_reminder	1
19	theme	default
20	maintenance	f
21	secret_word	fulliptv
22	server_secret_word	fulliptv
25	rows_per_page	25
28	auto_invoice_date	1
29	free_period	3
31	max_unpaid_invoices	3
36	timezone	Europe/Zagreb
37	multicast_address	8
38	prepaid_system	t
5	company_address	BiH/Sarajevo
6	company_contact	info@bosnacafe.com
8	from_email	info@bosnacafe.com
4	company_vat_number	BIH12345678
1	app_title	CMS IPTV
2	company_name	CMS IPTV
42	last_cron_run	1444776114
46	reseller_edit_invoice	f
44	setup_complete	t
11	invoice_suffix	wb
27	reseller_restart_channel	f
40	reseller_delete	f
26	reseller_manage_vod	f
30	grace_period	2
48	reseller_add_device	f
12	currency_code	€
32	auto_activate_device	t
17	reminder_active	t
39	auto_reconnect	t
50	licensekey	c-codes09354de3876c783
23	current_version	2.1.11
24	new_version	2.1.11
33	config_serial	1652
18	logo	http://lupo.bossna-caffe.com:8081/manageSettings
51	localkey	9tjI0EjMwYTMwIjI6gjOztjIlRXYkt2Ylh2YioTO6M3OiEDZ4cDM3YzYlJ2YlJTN4gTO2YjYwMDMmlTO\nlhjZxQGOiojMzozc7ICazFGa1QWbiozN6M3OiQWZk5WZwNXdT1zc1RXY0N3OwATLwATLwADMw0TZ0FGZ\nlVHZ0hXZutzUFR0TD1yQ9UWbh5mI6ITN6M3OiMnbvRGZhJiO2ozc7IiN44CMx4iM3EjLzYTMiozMxozc\n7ICcpRWasFmdiozN6M3Oi02bj5SZmZWYj1SYuN3cvJmLvBXds5yd3dHLt92YuUmZmF2YtEmbzN3bi5yb\nwVHbiozN0ozc7IibpFWbvRGZpxWY2JiOxEjOztjI5xGa052bNJiO3ozc7ISZsNWejdmbpxGbpJmI6ITM\n6M3OikTMtMDMtYTMwIjI6ATM6M3OiUGdhRWZ1RGd4VmbioTMxozc7ISOx0iMx0SNxAjMioDMxozc7ISZ\n0FGZnVmciozN6M3Oi40TJRVVM90UtMkI6ATM6M3OiUWbh5GdjVHZvJHcioTMxozc7ISMioTM6M3OiQWa\n0NWdk9mcwJiO5ozc7IiMioTM6M3OiQWalNWa2JXZzJiO5ozc7ISbvNmLlZWYjFmbz9mYAhWaiJiO3EjO\nztjIslWYtVmI6UjOztjI0FmdpJHciojN6M3OiUWbh5WeuFGct92YioTMxozc7IyYptWYzBiblxWYioDM\nxozc7ISZtFmbkVmclR3cpdWZyJiO0EjOztjIlZXa0NWQiojN6M3OiMXd0FGdzJiO2ozc7pTNxoTYbe8f\n3bc7ab23acc0a028b5716f3dc06212f21e0e930c57f7576a12e5336e7fca
\.


--
-- Name: settings_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('settings_id_seq', 52, true);


--
-- Data for Name: subscription_channels; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY subscription_channels (id, subscription_id, channel_id) FROM stdin;
3330	1	1
3382	1	3
3384	1	2
\.


--
-- Name: subscription_channels_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('subscription_channels_id_seq', 3385, true);


--
-- Data for Name: subscription_movies; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY subscription_movies (id, subscription_id, movie_id) FROM stdin;
1	1	1
\.


--
-- Name: subscription_movies_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('subscription_movies_id_seq', 1, true);


--
-- Data for Name: subscription_resellers; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY subscription_resellers (id, subscription_id, reseller_id) FROM stdin;
\.


--
-- Name: subscription_resellers_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('subscription_resellers_id_seq', 8, true);


--
-- Data for Name: subscriptions; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY subscriptions (id, subscription_name, price, "interval", prepaid, serial, active) FROM stdin;
1	FULL PAKET	5	30	f	2	t
\.


--
-- Name: subscriptions_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('subscriptions_id_seq', 2, true);


--
-- Data for Name: ticket_comments; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY ticket_comments (id, user_id, ticket_id, comments, datetime) FROM stdin;
\.


--
-- Name: ticket_comments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('ticket_comments_id_seq', 4, true);


--
-- Data for Name: tickets; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY tickets (id, user_id, subject, description, priority, status, datetime) FROM stdin;
\.


--
-- Name: tickets_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('tickets_id_seq', 5, true);


--
-- Data for Name: users; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY users (id, name, company, company_reg_num, company_vat_num, email, phone, country, city, address, username, password, bkp_password, group_id, reseller_id, serial, active) FROM stdin;
1	Admin Admin	IPTVCMS	0123	0123	xx	0700000000	BIH	BIH	BIH	admin	adminba123	0b9007f9ddef385ac1d7fe8625201dd7	1	1	6	t
2	aa	\N	\N	\N	s	s	s	s	sasas	sds	ss	0b9007f9ddef385ac1d7fe8625201dd7	3	1	1	t
3	sss	\N	\N	\N	sss	ss	sss	ss	sasa	s	s	0b9007f9ddef385ac1d7fe8625201dd7	3	1	1	t
\.


--
-- Name: users_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('users_id_seq', 4, true);


--
-- Data for Name: users_log; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY users_log (id, device_id, channel_id, conntype, user_ip, start_time, end_time, last_updated) FROM stdin;
\.


--
-- Name: users_log_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('users_log_id_seq', 1, false);


--
-- Data for Name: vlc_profiles; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY vlc_profiles (id, name, sout_all, deinterlace, http_user_agent, transcode, video_encoder, video_codec, audio_codec, audio_bitrate, threads) FROM stdin;
\.


--
-- Name: vlc_profiles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('vlc_profiles_id_seq', 1, false);


--
-- Name: access_list_id_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY access_list
    ADD CONSTRAINT access_list_id_key UNIQUE (id);


--
-- Name: changelog_id_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY changelog
    ADD CONSTRAINT changelog_id_key UNIQUE (id);


--
-- Name: channel_types_channel_type_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY channel_types
    ADD CONSTRAINT channel_types_channel_type_key UNIQUE (channel_type);


--
-- Name: channel_types_id_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY channel_types
    ADD CONSTRAINT channel_types_id_key UNIQUE (id);


--
-- Name: channels_channel_name_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY channels
    ADD CONSTRAINT channels_channel_name_key UNIQUE (channel_name);


--
-- Name: channels_id_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY channels
    ADD CONSTRAINT channels_id_key UNIQUE (id);


--
-- Name: device_types_device_type_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY device_types
    ADD CONSTRAINT device_types_device_type_key UNIQUE (device_type);


--
-- Name: device_types_id_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY device_types
    ADD CONSTRAINT device_types_id_key UNIQUE (id);


--
-- Name: devices_id_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY devices
    ADD CONSTRAINT devices_id_key UNIQUE (id);


--
-- Name: epgs_id_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY epgs
    ADD CONSTRAINT epgs_id_key UNIQUE (id);


--
-- Name: groups_id_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY groups
    ADD CONSTRAINT groups_id_key UNIQUE (id);


--
-- Name: invoices_id_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY invoices
    ADD CONSTRAINT invoices_id_key UNIQUE (id);


--
-- Name: logs_id_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY logs
    ADD CONSTRAINT logs_id_key UNIQUE (id);


--
-- Name: movie_types_id_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY movie_types
    ADD CONSTRAINT movie_types_id_key UNIQUE (id);


--
-- Name: movie_types_movie_type_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY movie_types
    ADD CONSTRAINT movie_types_movie_type_key UNIQUE (movie_type);


--
-- Name: movies_id_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY movies
    ADD CONSTRAINT movies_id_key UNIQUE (id);


--
-- Name: movies_movie_name_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY movies
    ADD CONSTRAINT movies_movie_name_key UNIQUE (movie_name);


--
-- Name: servers_id_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY servers
    ADD CONSTRAINT servers_id_key UNIQUE (id);


--
-- Name: servers_server_host_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY servers
    ADD CONSTRAINT servers_server_host_key UNIQUE (server_host);


--
-- Name: servers_server_name_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY servers
    ADD CONSTRAINT servers_server_name_key UNIQUE (server_name);


--
-- Name: settings_id_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY settings
    ADD CONSTRAINT settings_id_key UNIQUE (id);


--
-- Name: subscription_channels_id_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY subscription_channels
    ADD CONSTRAINT subscription_channels_id_key UNIQUE (id);


--
-- Name: subscription_movies_id_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY subscription_movies
    ADD CONSTRAINT subscription_movies_id_key UNIQUE (id);


--
-- Name: subscription_resellers_id_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY subscription_resellers
    ADD CONSTRAINT subscription_resellers_id_key UNIQUE (id);


--
-- Name: subscriptions_id_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY subscriptions
    ADD CONSTRAINT subscriptions_id_key UNIQUE (id);


--
-- Name: subscriptions_subscription_name_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY subscriptions
    ADD CONSTRAINT subscriptions_subscription_name_key UNIQUE (subscription_name);


--
-- Name: ticket_comments_id_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ticket_comments
    ADD CONSTRAINT ticket_comments_id_key UNIQUE (id);


--
-- Name: tickets_id_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY tickets
    ADD CONSTRAINT tickets_id_key UNIQUE (id);


--
-- Name: users_id_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY users
    ADD CONSTRAINT users_id_key UNIQUE (id);


--
-- Name: users_log_id_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY users_log
    ADD CONSTRAINT users_log_id_key UNIQUE (id);


--
-- Name: users_name_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY users
    ADD CONSTRAINT users_name_key UNIQUE (name);


--
-- Name: users_username_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY users
    ADD CONSTRAINT users_username_key UNIQUE (username);


--
-- Name: vlc_profiles_id_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY vlc_profiles
    ADD CONSTRAINT vlc_profiles_id_key UNIQUE (id);


--
-- Name: channels_channel_type_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY channels
    ADD CONSTRAINT channels_channel_type_id_fkey FOREIGN KEY (channel_type_id) REFERENCES channel_types(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: channels_output_server_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY channels
    ADD CONSTRAINT channels_output_server_id_fkey FOREIGN KEY (output_server_id) REFERENCES servers(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: channels_server_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY channels
    ADD CONSTRAINT channels_server_id_fkey FOREIGN KEY (server_id) REFERENCES servers(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: devices_device_type_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY devices
    ADD CONSTRAINT devices_device_type_id_fkey FOREIGN KEY (device_type_id) REFERENCES device_types(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: devices_subscription_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY devices
    ADD CONSTRAINT devices_subscription_id_fkey FOREIGN KEY (subscription_id) REFERENCES subscriptions(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: devices_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY devices
    ADD CONSTRAINT devices_user_id_fkey FOREIGN KEY (user_id) REFERENCES users(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: epgs_channel_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY epgs
    ADD CONSTRAINT epgs_channel_id_fkey FOREIGN KEY (channel_id) REFERENCES channels(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: invoices_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY invoices
    ADD CONSTRAINT invoices_user_id_fkey FOREIGN KEY (user_id) REFERENCES users(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: logs_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY logs
    ADD CONSTRAINT logs_user_id_fkey FOREIGN KEY (user_id) REFERENCES users(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: movies_movie_type_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY movies
    ADD CONSTRAINT movies_movie_type_id_fkey FOREIGN KEY (movie_type_id) REFERENCES movie_types(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: movies_server_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY movies
    ADD CONSTRAINT movies_server_id_fkey FOREIGN KEY (server_id) REFERENCES servers(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: subscription_channels_channel_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY subscription_channels
    ADD CONSTRAINT subscription_channels_channel_id_fkey FOREIGN KEY (channel_id) REFERENCES channels(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: subscription_channels_subscription_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY subscription_channels
    ADD CONSTRAINT subscription_channels_subscription_id_fkey FOREIGN KEY (subscription_id) REFERENCES subscriptions(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: subscription_movies_movie_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY subscription_movies
    ADD CONSTRAINT subscription_movies_movie_id_fkey FOREIGN KEY (movie_id) REFERENCES movies(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: subscription_movies_subscription_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY subscription_movies
    ADD CONSTRAINT subscription_movies_subscription_id_fkey FOREIGN KEY (subscription_id) REFERENCES subscriptions(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: subscription_resellers_reseller_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY subscription_resellers
    ADD CONSTRAINT subscription_resellers_reseller_id_fkey FOREIGN KEY (reseller_id) REFERENCES users(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: subscription_resellers_subscription_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY subscription_resellers
    ADD CONSTRAINT subscription_resellers_subscription_id_fkey FOREIGN KEY (subscription_id) REFERENCES subscriptions(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: ticket_comments_ticket_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ticket_comments
    ADD CONSTRAINT ticket_comments_ticket_id_fkey FOREIGN KEY (ticket_id) REFERENCES tickets(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: ticket_comments_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ticket_comments
    ADD CONSTRAINT ticket_comments_user_id_fkey FOREIGN KEY (user_id) REFERENCES users(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: tickets_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY tickets
    ADD CONSTRAINT tickets_user_id_fkey FOREIGN KEY (user_id) REFERENCES users(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: users_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY users
    ADD CONSTRAINT users_group_id_fkey FOREIGN KEY (group_id) REFERENCES groups(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: users_log_channel_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY users_log
    ADD CONSTRAINT users_log_channel_id_fkey FOREIGN KEY (channel_id) REFERENCES channels(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: users_log_device_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY users_log
    ADD CONSTRAINT users_log_device_id_fkey FOREIGN KEY (device_id) REFERENCES devices(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: users_reseller_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY users
    ADD CONSTRAINT users_reseller_id_fkey FOREIGN KEY (reseller_id) REFERENCES users(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

